var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input, Output, EventEmitter, ChangeDetectionStrategy } from '@angular/core';
import { RebirthUIConfig } from '../rebirth-ui.config';
var AlertBoxComponent = (function () {
    function AlertBoxComponent(rebirthUIConfig) {
        this.rebirthUIConfig = rebirthUIConfig;
        this.type = 'info';
        this.close = new EventEmitter();
        this.type = rebirthUIConfig.alertBox.type;
        this.closable = rebirthUIConfig.alertBox.closable;
    }
    AlertBoxComponent.prototype.closeBox = function () {
        this.onCloseBox();
    };
    AlertBoxComponent.prototype.onCloseBox = function () {
        this.close.emit(this);
    };
    return AlertBoxComponent;
}());
__decorate([
    Input(),
    __metadata("design:type", String)
], AlertBoxComponent.prototype, "type", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], AlertBoxComponent.prototype, "cssClass", void 0);
__decorate([
    Input(),
    __metadata("design:type", Boolean)
], AlertBoxComponent.prototype, "closable", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], AlertBoxComponent.prototype, "close", void 0);
AlertBoxComponent = __decorate([
    Component({
        selector: 're-alert-box',
        template: "\n    <div class=\"alert alert-{{type}} {{cssClass}}\" [ngClass]=\"{'alert-dismissible': closable}\" role=\"alert\">\n      <button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" *ngIf=\"closable\" (click)=\"closeBox()\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n      <ng-content></ng-content>\n    </div>\n  ",
        exportAs: 'alertBox',
        changeDetection: ChangeDetectionStrategy.OnPush
    }),
    __metadata("design:paramtypes", [RebirthUIConfig])
], AlertBoxComponent);
export { AlertBoxComponent };
//# sourceMappingURL=alert-box.component.js.map