var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Directive, HostListener, Output, Input, EventEmitter, Renderer, ElementRef, } from '@angular/core';
import { stopPropagationIfExist } from '../utils/dom-utils';
var DropdownDirective = (function () {
    function DropdownDirective(elementRef, renderer) {
        this.elementRef = elementRef;
        this.renderer = renderer;
        this.active = false;
        this.dropdownStatusChange = new EventEmitter();
        this.activeCss = 'open';
    }
    DropdownDirective.prototype.onDocumentClick = function () {
        this.active = false;
        this.updateHostStatus();
    };
    DropdownDirective.prototype.onHostClick = function ($event) {
        if (!this.active) {
            stopPropagationIfExist($event);
        }
        this.toggle();
    };
    DropdownDirective.prototype.toggle = function () {
        this.active = !this.active;
        this.updateHostStatus();
    };
    DropdownDirective.prototype.updateHostStatus = function () {
        this.dropdownStatusChange.emit(this.active);
        this.renderer.setElementClass(this.elementRef.nativeElement, this.activeCss, this.active);
    };
    return DropdownDirective;
}());
__decorate([
    Output(),
    __metadata("design:type", Object)
], DropdownDirective.prototype, "dropdownStatusChange", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], DropdownDirective.prototype, "activeCss", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], DropdownDirective.prototype, "direction", void 0);
__decorate([
    HostListener('document:click', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], DropdownDirective.prototype, "onDocumentClick", null);
__decorate([
    HostListener('click', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Event]),
    __metadata("design:returntype", void 0)
], DropdownDirective.prototype, "onHostClick", null);
DropdownDirective = __decorate([
    Directive({
        selector: '[reDropdown]',
        host: { '[class]': '"drop" + (direction?  direction : "down")' },
        exportAs: 'dropdown'
    }),
    __metadata("design:paramtypes", [ElementRef, Renderer])
], DropdownDirective);
export { DropdownDirective };
//# sourceMappingURL=dropdown.directive.js.map